petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPPIPEFCGSetMmax

set the maximum number of previous directions PIPEFCG will store for orthogonalization

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGSetMmax(KSP ksp,PetscInt mmax)

Note: mmax + 1 directions are stored (mmax previous ones along with the current one) and whether all are used in each iteration also depends on the truncation strategy (see KSPPIPEFCGSetTruncationType)

Logically Collective on ksp

### Input Parameters

| ksp | - the Krylov space context
| mmax | - the maximum number of previous directions to orthogonalize against

### Options Database

-ksp_pipefcg_mmax <N> -

### See Also

KSPPIPEFCG, KSPPIPEFCGSetTruncationType(), KSPPIPEFCGSetNprealloc()

### Level

intermediate

### Location

src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages